Closed Bug 527633 Opened 10 years ago Closed 9 years ago

Intermittent failure in test_exclude_livemarks.js

Categories

(Toolkit :: Places, defect)

x86
Linux
defect
Not set

Tracking

()

RESOLVED FIXED

People

(Reporter: philor, Unassigned)

References

Details

(Keywords: intermittent-failure, Whiteboard: [workarounded by bug521225 on trunk])

Sort of surprised to not find this filed, since it seemed familiar:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257829406.1257833434.18897.gz
Linux mozilla-central debug test everythingelse on 2009/11/09 21:03:26  

************************************************************
* Call to xpconnect wrapped JSObject produced this error:  *
[Exception... "Component returned failure code: 0x80570016 (NS_ERROR_XPC_GS_RETURNED_FAILURE) [nsIJSCID.getService]"  nsresult: "0x80570016 (NS_ERROR_XPC_GS_RETURNED_FAILURE)"  location: "JS frame :: file:///builds/slave/mozilla-central-linux-debug-unittest-everythingelse/build/firefox/components/nsBrowserContentHandler.js :: mod_regself :: line 796"  data: no]
************************************************************
*** registering nsBrowserGlue.js: [ Firefox Browser Glue Service, Geolocation Prompting Component ]
*** registering fuelApplication.js: [ Application ]
TEST-INFO | (xpcshell/head.js) | test 1 pending
TEST-PASS | /builds/slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/tests/test_places/unit/test_exclude_livemarks.js | [run_test : 74] true == true
TEST-PASS | /builds/slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/tests/test_places/unit/test_exclude_livemarks.js | [run_test : 75] true == true
TEST-PASS | /builds/slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/tests/test_places/unit/test_exclude_livemarks.js | [run_test : 76] true == true
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/tests/test_places/unit/test_exclude_livemarks.js | 1 == 2 - See following stack:
JS frame :: /builds/slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/head.js :: do_throw :: line 201
JS frame :: /builds/slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/head.js :: do_check_eq :: line 231
JS frame :: /builds/slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/tests/test_places/unit/test_exclude_livemarks.js :: run_test :: line 93
JS frame :: /builds/slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/head.js :: _execute_test :: line 129
JS frame :: -e :: <TOP_LEVEL> :: line 1
TEST-INFO | (xpcshell/head.js) | exiting test
WARNING: nsExceptionService ignoring thread destruction after shutdown: file /builds/slave/mozilla-central-linux-debug/build/xpcom/base/nsExceptionService.cpp, line 194
nsXPConnect::CommenceShutdown()
nsStringStats
 => mAllocCount:           2125
 => mReallocCount:           25
 => mFreeCount:            2125
 => mShareCount:           1021
 => mAdoptCount:            825
 => mAdoptFreeCount:        825

  <<<<<<<
Whiteboard: [orange]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258681914.1258689610.9855.gz
Linux mozilla-central debug test everythingelse on 2009/11/19 17:51:54
s: moz2-linux-slave01
TEST-UNEXPECTED-FAIL | /builds/moz2_slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/tests/test_places/unit/test_exclude_livemarks.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/moz2_slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/tests/test_places/unit/test_exclude_livemarks.js | 1 == 2 - See following stack:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259032901.1259040628.17950.gz
Linux mozilla-central debug test everythingelse on 2009/11/23 19:21:41
s: moz2-linux-slave10
TEST-UNEXPECTED-FAIL | /builds/moz2_slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/tests/test_places/unit/test_exclude_livemarks.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/moz2_slave/mozilla-central-linux-debug-unittest-everythingelse/build/xpcshell/tests/test_places/unit/test_exclude_livemarks.js | 1 == 2 - See following stack:
workarounded on trunk
Whiteboard: [orange] → [orange][workarounded by bug521225 on trunk]
Depends on: 507790
Resolving Places oranges that don't appear on central from at least 6 months.
Check dependencies for bugs that could have fixed the issue.
Please reopen if they re-appear in central.
Status: NEW → RESOLVED
Closed: 9 years ago
Depends on: 521225
Resolution: --- → FIXED
Whiteboard: [orange][workarounded by bug521225 on trunk] → [workarounded by bug521225 on trunk]
You need to log in before you can comment on or make changes to this bug.